# appender.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::spi

## Classes

class | Appender
| Implement this interface for your own strategies for outputting log statements. More...

## Typedefs

typedef helpers::ObjectPtrT< LoggingEvent > | log4cxx::spi::LoggingEventPtr
typedef helpers::ObjectPtrT< Filter > | log4cxx::spi::FilterPtr
typedef log4cxx::helpers::ObjectPtrT< ErrorHandler > | log4cxx::spi::ErrorHandlerPtr
typedef log4cxx::helpers::ObjectPtrT< Layout > | log4cxx::LayoutPtr

## Functions

| log4cxx::LOG4CXX_PTR_DEF (Appender)
| log4cxx::LOG4CXX_LIST_DEF (AppenderList, AppenderPtr)